SapanCalDeveloper Docs

Update a user

Sets the default connection: the one events are written to when an event write names no connection_id.

PATCHhttps://api.bentocal.com/au/v1/users/{user_id}

Authentication

AuthorizationstringheaderBearer <token>required

An API key: bc_{live|test}_{region}_…, from the console.

Path parameters

1 param
  • user_idstringlength: 1…255required

    Your identifier for the end user. URL-encode it.

Request body

application/jsonrequired
  • default_connection_idstringrequired

    An active connection of this user.

Responses

An end user, identified by your own id, and their connections.

  • user_idstringrequired
  • default_connection_idstring | nullrequired

    The connection events are written to when an event write names no connection_id.

  • connectionsarray of Connectionrequired
  • created_atstringdate-timerequired

    When the user first connected a calendar.

Errors